This API is used to Print the specified card if the card was initially created as virtual with PIN block
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characaters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| title | String | special - see description | ✓ | This field can be used to enter the person’s title (e.g. Mr / Ms / Mrs / Dr / etc). Field is required but can accept empty string. (The combined value of title, initials and surname delimited with spaces should be maximum 20 characters.) |
| initials | String | special - see description | ✓ | This field can only contain alphabetic characters in UPPER CASE – no full stops are allowed between initials. Field is required but can accept empty string. (The combined value of title, initials and surname delimited with spaces should be maximum 20 characters.) |
| lastName | String | special - see description | ✓ | This field can only be alphabetic characters in UPPER CASE – no full stops and/or special characters are allowed. In the case of -double barrel- surnames, such as FABER-SMITH we may have a hyphen between the two parts of the surname but without any spaces. (The combined value of title, initials and surname delimited with spaces should be maximum 20 characters.); Field is required but can accept empty string. |
| address1 | String | special - see description | ✓ | This is the first line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 50 characters (Manufacturer dependent). The field may not start (first character) with a space or a full stop.; Field is required but can accept empty string. |
| address2 | String | special - see description | ✓ | This is the second line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 50 characters (Manufacturer dependent). The field may not start (first character) with a space or a full stop. Field is required but can accept empty string. |
| address3 | String | special - see description | ✓ | This is the third line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 50 characters (Manufacturer dependent). The field may not start (first character) with a space or a full stop. Field is required but can accept empty string. |
| address4 | String | special - see description | ✓ | This is the fourth line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 50 characters (Manufacturer dependent). The field may not start (first character) with a space or a full stop. Field is required but can accept empty string. |
| address5 | String | special - see description | ✓ | This is the fifth line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 50 characters (Manufacturer dependent). The field may not start (first character) with a space or a full stop. Field is required but can accept empty string. |
| additionalData | String | special - see description | ✓ | Customer specific additional data. Format to be negotiated per client. Maximum length is 350 characters (Manufacturer dependent).This field should not contain comma or new line(LF/CF) characters . Field is required but can accept empty string. |
| contactNumber | String | ✓ | The contact number of the customer | |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card. Field is required if the customer has more than one card linked to their wallet |
| pinBlock | String | ✓ | ||
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side | |
| checksum | String | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
<methodName>PrintLinkedCardWithPINBlock</methodName>
<params>
<param>
<value>
<string>12345678</string>
</value>
</param>
<param>
<value>
<string>Mr</string>
</value>
</param>
<param>
<value>
<string>JDF</string>
</value>
</param>
<param>
<value>
<string>Foo</string>
</value>
</param>
<param>
<value>
<string>address1</string>
</value>
</param>
<param>
<value>
<string>address2</string>
</value>
</param>
<param>
<value>
<string>address3</string>
</value>
</param>
<param>
<value>
<string>address4</string>
</value>
</param>
<param>
<value>
<string>address5</string>
</value>
</param>
<param>
<value>
<string></string>
</value>
</param>
<param>
<value>
<string>0924769387</string>
</value>
</param>
<param>
<value>
<string>105232700000440</string>
</value>
</param>
<param>
<value>
<string>pinBlock</string>
</value>
</param>
<param>
<value>
<string>68629cfb-a9eb-4058-a759-17b36a97df13</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20241028T11:27:58</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>2179242073DE2A5DAE99B98212277F87D3D0E413</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Result text indicating Approved or Declined |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>